Explain Aspect
POST
/ai/explain-aspect
curl -X POST https://api.astroway.info/v1/ai/explain-aspect \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "planet1": "Saturn", "planet2": "Moon", "aspectType": "Square" }'const res = await fetch('https://api.astroway.info/v1/ai/explain-aspect', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "planet1": "Saturn", "planet2": "Moon", "aspectType": "Square" }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/ai/explain-aspect', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'planet1': "Saturn", 'planet2': "Moon", 'aspectType': "Square" },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('ai/explain-aspect', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'planet1' => 'Saturn', 'planet2' => 'Moon', 'aspectType' => 'Square', ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Detailed explanation of an aspect between two planets.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
chart
Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.
object
date required
string
time required
string
timezoneOffset
number
latitude
number
longitude
number
houseSystem
string
name
string
city
string
zodiacType
string
ayanamsaId
number
cosmogram
boolean
key additional
planet1 required
string
planet2 required
string
aspectType required
string
language
string
Example
{ "planet1": "Saturn", "planet2": "Moon", "aspectType": "Square"}Responses
Section titled “ Responses ”Successful calculation
Media type application/json
object
ok
boolean
data
object
explanation
string
Example
{ "ok": true, "data": { "explanation": "..." }}Validation error
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Media type application/json
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.